/**
 * \file    usbpd_main.h
 * \brief   DPM main entry header file
 * 
 * \par     Copyright (c) 2018 UWE Technologies Corp., Ltd. All Rights Reserved.
 * \author  James
 * \date    2018-03-31
 * \version 
 * 
 * \history 
 *  Date        Note
 *  2018-03-31  Original Creation
 * 
 */
 
#ifndef __DPM_MAIN_H_
#define __DPM_MAIN_H_

#include "types.h"

/** \brief Initialize USB PD device policy manager
 *
 */
void usbpd_init(void);
void usbpd_isr(u32_t int_status);
void usbpd_main();



#endif /* #ifndef __DPM_MAIN_H_ */

